petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetUp

sets up the data structures inside a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetUp(DM dm)

Collective on dm

### Input Parameter

dm -the DM object to setup

### See Also

DMView(), DMCreateGlobalVector(), DMCreateInterpolation(), DMCreateColoring(), DMCreateMatrix()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/impls/forest/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex1.c.html
src/dm/examples/tutorials/ex3.c.html
src/dm/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex6.c.html
src/dm/examples/tutorials/ex7.c.html
src/dm/examples/tutorials/ex9.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex12.c.html
src/dm/examples/tutorials/ex15.c.html

### Implementations

DMSetUp_Composite in src/dm/impls/composite/pack.c
DMSetUp_DA_1D in src/dm/impls/da/da1.c
DMSetUp_DA_2D in src/dm/impls/da/da2.c
DMSetUp_DA_3D in src/dm/impls/da/da3.c
DMSetUp_DA in src/dm/impls/da/dareg.c
DMSetUp_pforest in src/dm/impls/forest/p4est/pforest.c
DMSetUp_Moab in src/dm/impls/moab/dmmoab.cxx
DMSetUp_Network in src/dm/impls/network/network.c
DMSetUp_Patch in src/dm/impls/patch/patch.c
DMSetUp_Plex in src/dm/impls/plex/plex.c
DMSetUp_Redundant in src/dm/impls/redundant/dmredundant.c
DMSetUp_Stag_1d in src/dm/impls/stag/stag1d.c
DMSetUp_Stag_2d in src/dm/impls/stag/stag2d.c
DMSetUp_Stag_3d in src/dm/impls/stag/stag3d.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages